import { Host, h } from "@stencil/core";
export class ListItemIcon {
    constructor() {
        /**
         * If `true` the icon is on the right side of the list item. Default is the left side.
         */
        this.right = false;
    }
    render() {
        return (h(Host, { key: 'a260b7e90eb381a23de3181688a8445eed735701', class: {
                'bal-list__item__icon': true,
                'bal-list__item__icon--right': this.right,
            } }, h("slot", { key: '9b34490944c48da6666883e7b7d4cb0ec6097e53' })));
    }
    static get is() { return "bal-list-item-icon"; }
    static get properties() {
        return {
            "right": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "If `true` the icon is on the right side of the list item. Default is the left side."
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "attribute": "right",
                "defaultValue": "false"
            }
        };
    }
}
